View Issue Details

IDProjectCategoryView StatusLast Update
00035743 - Current Dev ListBugpublic2019-11-20 05:01
ReporterWA9PIEAssigned ToWA9PIE 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version6.7.0.231 
Target VersionFixed in Version6.7.0.249 
Summary0003574: Lat/Long in the Logbook Lookup Pane are on different rows
DescriptionWhen clicking on a spot in the DX cluster to add the call to the Lookup Pane (on left side of display), the Latitude and Longitude are are different rows as follows:

Latitude value
Longitude value

They should be on the same row separated by "comma space" as follows:
Latitude value, Longitude value
Steps To Reproduce1. Open HRD Logbook
2. On the top menu click on "VIEW" and select "Lookup"
3. The Lookup Pane will then be visible on the left side of the Logbook display.
4. Open the DX Cluster panel.
5. When the DX Cluster panel begins to populate with DX records, click on one of the DX records to populate the Lookup Pane.
6. Notice that the Latitude and Longitude are are different rows.

BUG: The longitude and latitude should be on the same row separated by a comma (as shown in 0003485).
Additional InformationBecause they're on different rows, this may affect how the "click on to rotate antenna" works. At the least, it will confuse folks. So we need to put them back on the same row separated by comma space.
Tags6.7 defects
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003485 closedK7ZCZ Ham Radio Deluxe Logbook Lookup Pane does not fully populate 

Activities

g3ucq

2019-11-12 03:49

updater   ~0009278

I confirm this issue.

WA9PIE

2019-11-14 03:31

administrator   ~0009314

Adding an image of what it should look like

WA9PIE

2019-11-18 01:51

administrator   ~0009343

Validated in alpha build

PD9FER

2019-11-18 03:12

updater   ~0009351

Fixed

g3ucq

2019-11-18 04:53

updater   ~0009353

Fixed

WA9PIE

2019-11-18 04:57

administrator   ~0009355

Excellent... now the question is...

Will the Rotator app actually turn the rotor by clicking on the lat/long?

WA9PIE

2019-11-18 04:57

administrator   ~0009356

Excellent... now the question is...

Will the Rotator app actually turn the rotor by clicking on the lat/long?

PD9FER

2019-11-18 08:37

updater   ~0009365

Damn... No it does not

PD9FER

2019-11-18 08:40

updater   ~0009366

Be aware, clicking this should go to Google Earth!
When clicking on the info after the little Car icon it should go to rotator... (also does not work)

g3ucq

2019-11-18 09:36

updater   ~0009367

My rotator is only manual control so unable to test further.

g3ypp

2019-11-18 10:33

updater   ~0009369

The lat long are now on the same row. But clicking on it does not open Google Earth.
If Google Earth is already open, station position is not displayed.

g3ucq

2019-11-18 11:16

updater   ~0009372

As I do not have computer for my rotator I am not sure how this is supposed to work.
Does the Rotator module already have to be open when clicking on the Lon/Lat?
If not, why doesn't clicking on the Lon/Lat open the Rotator module instead of Google Earth?

g3ypp

2019-11-19 05:33

updater   ~0009394

In .250 clicking on Lat/Long does not open Google Earth.
If it is not meant to then the Alt Text on Mouse hover (… click to open with Google Earth) should be removed.

WA9PIE

2019-11-20 01:58

administrator   ~0009418

Okay...

For the 6.7 maintenance release, here are my thoughts:
- not sure that fixing the Google Earth thing is critical... though I'll consider the options (Google Earth Pro... or just sending it all to https://maps.google.com)
- I do need to know what impact this has on the Rotator app

g3ucq

2019-11-20 04:00

updater   ~0009425

The reference to Google Earth should be removed from the mouse hover if GE is not supposed to open.
Clicking on the Lon/Lat in the Country panel brings up "How do you want to open this file?"
Are both Lon/Lats needed?

WA9PIE

2019-11-20 05:01

administrator   ~0009430

Validated (with the issues related to Google Earth remaining; I'll probably open a separate issue for that topic and we'll get to it later)

Issue History

Date Modified Username Field Change
2019-11-11 05:38 WA9PIE New Issue
2019-11-11 05:38 WA9PIE Issue generated from: 0003485
2019-11-11 05:38 WA9PIE Relationship added related to 0003485
2019-11-11 05:38 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2019-11-11 05:38 WA9PIE Tag Attached: 6.7 defects
2019-11-11 05:39 WA9PIE Assigned To => K7ZCZ
2019-11-11 05:39 WA9PIE Status new => assigned
2019-11-11 05:39 WA9PIE Description Updated View Revisions
2019-11-11 15:30 WA9PIE Additional Information Updated View Revisions
2019-11-12 03:49 g3ucq Note Added: 0009278
2019-11-14 02:59 WA9PIE Assigned To K7ZCZ => DOUG
2019-11-14 03:08 WA9PIE Issue cloned: 0003587
2019-11-14 03:31 WA9PIE File Added: LogbookLookupPane-LicenseeSecton01.png
2019-11-14 03:31 WA9PIE Note Added: 0009314
2019-11-17 22:18 DOUG Assigned To DOUG => WA9PIE
2019-11-17 22:18 DOUG Status assigned => resolved
2019-11-17 22:18 DOUG Resolution open => fixed
2019-11-18 01:51 WA9PIE Fixed in Version => 6.7.0.249
2019-11-18 01:51 WA9PIE Testing Not Started => Alpha Successful
2019-11-18 01:51 WA9PIE Note Added: 0009343
2019-11-18 03:12 PD9FER Note Added: 0009351
2019-11-18 04:53 g3ucq Note Added: 0009353
2019-11-18 04:57 WA9PIE Note Added: 0009355
2019-11-18 04:57 WA9PIE Note Added: 0009356
2019-11-18 08:37 PD9FER Note Added: 0009365
2019-11-18 08:40 PD9FER Note Added: 0009366
2019-11-18 09:36 g3ucq Note Added: 0009367
2019-11-18 10:33 g3ypp Note Added: 0009369
2019-11-18 11:16 g3ucq Note Added: 0009372
2019-11-19 05:33 g3ypp Note Added: 0009394
2019-11-20 01:58 WA9PIE Note Added: 0009418
2019-11-20 04:00 g3ucq Note Added: 0009425
2019-11-20 05:01 WA9PIE Status resolved => closed
2019-11-20 05:01 WA9PIE Testing Alpha Successful => Beta Successful
2019-11-20 05:01 WA9PIE Note Added: 0009430